From 0bbf137972e22923f650a38ff46c0e1397795384 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 10 Aug 2017 23:33:47 -0400
Subject: [PATCH v2 2/9] Have lcov exclude external files

Call lcov with --no-external option to exclude external files (for
example, system headers with inline functions) from output.
---
 src/Makefile.global.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index e39ed884e7..7d8f3dd33d 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -871,7 +871,7 @@ ifeq ($(enable_coverage), yes)
 gcda_files = $(shell find . -name '*.gcda' -print)
 
 lcov.info: $(gcda_files)
-	$(LCOV) -d . -c -o $@ $(LCOVFLAGS) --gcov-tool $(GCOV)
+	$(LCOV) -d . -c -o $@ $(LCOVFLAGS) --gcov-tool $(GCOV) --no-external
 
 coverage-stamp: lcov.info
 	rm -rf coverage
-- 
2.14.1

